Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 822294 - Review Request: stlink - tools for stm32 discovery boards
Summary: Review Request: stlink - tools for stm32 discovery boards
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-05-17 00:44 UTC by Rob Gilton
Modified: 2015-12-04 04:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-04 04:37:38 UTC


Attachments (Terms of Use)

Description Rob Gilton 2012-05-17 00:44:26 UTC
Spec URL: http://users.ecs.soton.ac.uk/rds/rpm/stlink/stlink.spec
SRPM URL: http://users.ecs.soton.ac.uk/rds/rpm/stlink/stlink-0-20120517gitd2c78.fc16.src.rpm
Description: stlink is a set of tools for interacting with the STM32 discovery
boards.  It includes a program that acts as a gdbserver, and a tool
for reading/writing/erasing the flash of the target on the boards.

A review would be much appreciated :-)

Comment 1 Rob Gilton 2012-05-17 00:47:56 UTC
Whoops, forgot the rpmlint output!  Here it is:

stlink.spec: W: invalid-url Source0: stlink-d2c78.tar.bz2
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

It's an invalid URL because it's a git snapshot.  No way around that one.

Comment 2 Rob Gilton 2012-05-17 01:00:38 UTC
Now updated to include the AUTHORS and COPYING files:

New SRPM: http://users.ecs.soton.ac.uk/rds/rpm/stlink/stlink-0-1.20120517gitd2c78.fc16.src.rpm
Specfile: http://users.ecs.soton.ac.uk/rds/rpm/stlink/stlink.spec

Cheers.

Comment 3 Jason Tibbitts 2013-05-21 00:48:57 UTC
I am triaging old review tickets.  I can't promise a review if you reply, but by closing out the stale tickets we can devote extra attention to the ones which aren't stale.

Unfortunately I have no way at all to even test this, and I suspect the other prospective reviewers are in the same boat.  It's quite a simple package, though; on a quick inspection I can only see two issues:

We have guidelines relating to packaging tarballs from github, which you should follow instead of just saying that you generated a snapshot from git.  http://fedoraproject.org/wiki/Packaging:SourceURL#Github

There is no need to clean the buildroot at the beginning of %install.

Comment 4 James Hogarth 2015-12-04 04:37:38 UTC
As per the policy for stalled reviews closing this ticket as the requester has not responded to a needs info in over a year

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews


Note You need to log in before you can comment on or make changes to this bug.